Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411875 - Review Request: storhaug - High-Availability Storage Server Add-on
Summary: Review Request: storhaug - High-Availability Storage Server Add-on
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:34 UTC by Kaleb KEITHLEY
Modified: 2017-02-07 00:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 00:23:56 UTC
Type: ---
puiterwijk: fedora-review+


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2017-01-10 16:34:39 UTC
Spec URL: https://fedorapeople.org/~kkeithle/storhaug/storhaug.spec
SRPM URL: https://fedorapeople.org/~kkeithle/storhaug/storhaug-0.13-1.fc25.src.rpm
Description: High-Availability add-on for GlusterFS with NFS-Ganesha and Samba
Fedora Account System Username: kkeithle

Comment 1 Patrick Uiterwijk 2017-01-23 10:45:56 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- LICENSE file not shipped
- Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
  beginning of %install.
  Note: rm -rf %{buildroot} present but not required
- Package complies to the Packaging Guidelines
  Services started on install (pcsd)
- Package has no %clean section with rm -rf %{buildroot} (or
  $RPM_BUILD_ROOT)
  Note: %clean present but not required
- Fully versioned dependency in subpackages if applicable.
  Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
  storhaug-nfs , storhaug-smb
- Spec use %global instead of %define unless justified.
  Note: %define requiring justification: %define major_version 0,
  %define minor_version 13, %define release 1%{?dist}


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[!]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/ocf/resource.d,
     /usr/lib/ocf, /usr/lib/ocf/resource.d/heartbeat
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-root
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Vendor: Fedora Project
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     storhaug-nfs , storhaug-smb
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define major_version 0,
     %define minor_version 13, %define release 1%{?dist}
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: storhaug-0.13-1.fc26.noarch.rpm
          storhaug-nfs-0.13-1.fc26.noarch.rpm
          storhaug-smb-0.13-1.fc26.noarch.rpm
          storhaug-0.13-1.fc26.src.rpm
storhaug.noarch: W: no-documentation
storhaug.noarch: E: non-readable /etc/sysconfig/storhaug.conf 600
storhaug.noarch: E: non-readable /usr/sbin/storhaug 700
storhaug.noarch: E: non-standard-executable-perm /usr/sbin/storhaug 700
storhaug.noarch: W: no-manual-page-for-binary storhaug
storhaug-nfs.noarch: W: summary-not-capitalized C storhaug NFS-Ganesha module
storhaug-nfs.noarch: W: only-non-binary-in-usr-lib
storhaug-nfs.noarch: W: no-documentation
storhaug-nfs.noarch: E: non-readable /etc/sysconfig/storhaug.d/nfs-ha.conf 600
storhaug-smb.noarch: W: summary-not-capitalized C storhaug SMB module
storhaug-smb.noarch: W: no-documentation
storhaug-smb.noarch: E: non-readable /etc/sysconfig/storhaug.d/smb-ha.conf 600
storhaug.src:71: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/heartbeat
storhaug.src:72: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/heartbeat/ganesha
storhaug.src:73: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/heartbeat/ganesha_trigger
storhaug.src:125: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/heartbeat/ganesha
storhaug.src:126: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/heartbeat/ganesha_trigger
storhaug.src: W: no-%build-section
4 packages and 0 specfiles checked; 10 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
storhaug.noarch: W: no-documentation
storhaug.noarch: E: non-readable /etc/sysconfig/storhaug.conf 600
storhaug.noarch: E: non-readable /usr/sbin/storhaug 700
storhaug.noarch: E: non-standard-executable-perm /usr/sbin/storhaug 700
storhaug.noarch: W: no-manual-page-for-binary storhaug
storhaug-smb.noarch: W: summary-not-capitalized C storhaug SMB module
storhaug-smb.noarch: W: no-documentation
storhaug-smb.noarch: E: non-readable /etc/sysconfig/storhaug.d/smb-ha.conf 600
storhaug-nfs.noarch: W: summary-not-capitalized C storhaug NFS-Ganesha module
storhaug-nfs.noarch: W: only-non-binary-in-usr-lib
storhaug-nfs.noarch: W: no-documentation
storhaug-nfs.noarch: E: non-readable /etc/sysconfig/storhaug.d/nfs-ha.conf 600
3 packages and 0 specfiles checked; 5 errors, 7 warnings.



Requires
--------
storhaug (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(storhaug)
    fence-agents-all
    glusterfs-server
    pcs

storhaug-smb (rpmlib, GLIBC filtered):
    /bin/sh
    config(storhaug-smb)
    ctdb
    samba
    samba-client
    samba-winbind
    samba-winbind-clients
    storhaug

storhaug-nfs (rpmlib, GLIBC filtered):
    /bin/sh
    config(storhaug-nfs)
    nfs-ganesha
    storhaug



Provides
--------
storhaug:
    config(storhaug)
    storhaug

storhaug-smb:
    config(storhaug-smb)
    storhaug-smb

storhaug-nfs:
    config(storhaug-nfs)
    storhaug-nfs



Source checksums
----------------
https://github.com/linux-ha-storage/storhaug/archive/v0.13/storhaug-0.13.tar.gz :
  CHECKSUM(SHA256) this package     : 0f0580766a4eeb92899e56c4ce417f43fac7604772cd17ab31549a22b9557b40
  CHECKSUM(SHA256) upstream package : 0f0580766a4eeb92899e56c4ce417f43fac7604772cd17ab31549a22b9557b40


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1411875
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Patrick Uiterwijk 2017-01-26 09:04:04 UTC
Most of my comments are resolved, but in %post you're still doing a lot of service stop and disable.
That is a VERY bad idea, so please remove those.

Comment 3 Patrick Uiterwijk 2017-01-26 17:54:45 UTC
At this point, there's an 'echo "Storhaug"' in %build, which is strange but it's fine. Perhaps it's an idea to remove that on import.

This package is APPROVED.

Comment 4 Fedora Update System 2017-01-27 07:27:01 UTC
storhaug-0.13-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b05358a14

Comment 5 Fedora Update System 2017-01-28 04:55:39 UTC
storhaug-0.13-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b05358a14

Comment 6 Fedora Update System 2017-02-07 00:23:56 UTC
storhaug-0.13-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.